import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

import java.awt.Font;

/**
 * Counter that displays a number.
 * 
 * @author Ofir Sela
 * @version 1.0.1
 */
public class Lives extends Actor
{
    public static int valueLives;
    private static int firstX;
    private static int livesSpace;
    public Lives(int theFirstX, int theLivesSpace)
    {
       firstX = theFirstX;
       livesSpace = theLivesSpace;
    }
    
    public void act()
    {
       valueLives = ((Space) getWorld()).getLives();
       checkValueLives();
    }
    
    public void checkValueLives()
    {
       if(getX() == valueLives * livesSpace + firstX) {
          if(valueLives == 0) {
             ((Space) getWorld()).gameOver();
          }
          getWorld().removeObject(this);
       }
    }
}
